%define major		1
%define gi_major	1.0
%define libname		%mklibname colord-gtk %major
%define develname	%mklibname colord-gtk -d
%define girname		%mklibname colord-gtk-gir %gi_major

%define libname4	%mklibname colord-gtk4_ %major
%define develname4	%mklibname colord-gtk4 -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		colord-gtk
Version:	0.3.1
Release:	%mkrel 2
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.freedesktop.org/software/colord/
Source0:	https://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz

BuildRequires:	colord-devel >= 0.1.23
BuildRequires:	docbook5-style-xsl
BuildRequires:	gettext >= 0.19.8
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	gtk3-devel
BuildRequires:	gtk4-devel
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	meson
BuildRequires:	vala-tools
Provides:       %{name}-i18n = %version-%release
Obsoletes:      %{name}-i18n < %version-%release

%description
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package -n %{libname}
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for colord-gtk
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

# duplicate/identical with this one, so not needed
Obsoletes:	%{_lib}colord-gtk-gir4.0 < 0.3.0-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{libname4}
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

# wrong name, missing the major lib
Obsoletes:	%{_lib}colord-gtk4 < 0.3.0-2

%description -n %{libname4}
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.


%package -n %develname4
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname4} = %{version}-%{release}
Provides:	%{name}4-devel = %{version}-%{release}
Provides:	lib%{name}4-devel = %{version}-%{release}
Requires:       %{develname}%{?_isa} = %{version}-%{release}

%description -n %{develname4}
This package contains libraries and header files for
developing applications that use %{name} for GTK 4.

%prep
%autosetup -p1

%build
%meson -Ddocs=true -Dgtk2=false -Dman=true -Dtests=false -Dvapi=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/libcolord-gtk.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/colord-gtk
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%{_includedir}/colord-1/colord-gtk.h
%{_includedir}/colord-1/colord-gtk/
%{_datadir}/gir-1.0/ColordGtk-1.0.gir
%{_datadir}/vala/vapi/colord-gtk.vapi
%{_datadir}/vala/vapi/colord-gtk.deps

%files -n %{girname}
%{_libdir}/girepository-1.0/ColordGtk-%{gi_major}.typelib

%files -n %{libname4}
%{_libdir}/libcolord-gtk4.so.%{major}{,.*}

%files -n %{develname4}
%{_libdir}/libcolord-gtk4.so
%{_libdir}/pkgconfig/colord-gtk4.pc
# Requires the base -devel package for headers. No GTK 4 .gir nor VAPI yet.


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.1-2.mga10
+ Revision: 2221342
- Mageia 10 Mass Rebuild

* Wed Feb 14 2024 daviddavid <daviddavid> 0.3.1-1.mga10
+ Revision: 2041137
- new version: 0.3.1
- fix the GTK4 library name (adding missing major lib)
- remove duplicate/identical GTK4 gir lib with the GTK3 one

* Wed Mar 16 2022 tv <tv> 0.3.0-1.mga9
+ Revision: 1794163
- Fix unexpanded-macro in summray
- New upstream version.
- Add GTK+ 4 build
- Rename -i18n back to colord-gtk and move binaries there for sharing with gtk4

* Sat Feb 15 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1526820
- Mageia 8 Mass Rebuild

* Sun Jun 30 2019 wally <wally> 0.2.0-2.mga8
+ Revision: 1416239
- don't own system dirs
- ship .typelib only once
- add back lib major check to files section

* Sat Jun 29 2019 shlomif <shlomif> 0.2.0-1.mga8
+ Revision: 1416150
- New version 0.2.0 - thanks to fedora

* Sun Sep 23 2018 umeabot <umeabot> 0.1.26-4.mga7
+ Revision: 1296704
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 pterjan <pterjan> 0.1.26-3.mga7
+ Revision: 1239295
- Rebuild to have a mga7 release (lib64colord-gtk1-0.1.26-2.mga7.aarch64 (due to unsatisfied colord-gtk-i18n[>= 0.1.26-2.mga7]))

* Thu Feb 11 2016 umeabot <umeabot> 0.1.26-2.mga6
+ Revision: 953641
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 0.1.26-1.mga6
+ Revision: 872397
- Add missing files
+ wally <wally>
- add requires for gir pkg to devel pkg
+ ovitters <ovitters>
- new version 0.1.26

* Wed Oct 15 2014 umeabot <umeabot> 0.1.25-7.mga5
+ Revision: 751092
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.1.25-6.mga5
+ Revision: 731116
- rebuild so that it picks typelib() requires

* Thu Sep 18 2014 umeabot <umeabot> 0.1.25-5.mga5
+ Revision: 693661
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.25-4.mga5
+ Revision: 678481
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.25-3.mga4
+ Revision: 534813
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 wally <wally> 0.1.25-2.mga4
+ Revision: 478821
- fix requires/provides

* Sat May 25 2013 ovitters <ovitters> 0.1.25-1.mga4
+ Revision: 427085
- ensure vala is enabled
- disable Ubuntu Online Accounts support
- new version 0.1.25

* Fri Jan 11 2013 umeabot <umeabot> 0.1.23-2.mga3
+ Revision: 348016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 0.1.23-1.mga3
+ Revision: 308162
- new version 0.1.23

* Fri Jul 20 2012 ovitters <ovitters> 0.1.22-2.mga3
+ Revision: 272710
- i18n is noarch

* Sun Jul 01 2012 ovitters <ovitters> 0.1.22-1.mga3
+ Revision: 266197
- br colord,lcms2,vala-tools
- br gtk+-3.0
- imported package colord-gtk

